use libadwaita :: { * , ViewSwitcherPolicy :: * } ;

use crate :: ui :: { collection_view_stack :: * , component :: * , utility :: * } ;



pub struct ApplicationHeaderBar { widget : HeaderBar }

impl ApplicationHeaderBar {
	pub fn new ( collection_view_stack : & CollectionViewStack ) -> Self {
		let widget = header_bar ! (
			view_switcher ! ( @ policy : Wide , collection_view_stack . get_widget () ) ,
		) ;
		Self { widget }
	}
}

impl Component <HeaderBar> for ApplicationHeaderBar {
	fn get_widget ( & self ) -> & HeaderBar { & self . widget }
}
